API ReferenceSecurity Settings
Retrieve security settings
Analytics Events
SECURITY_SETTINGS_RETRIEVE_STARTSECURITY_SETTINGS_RETRIEVE_SUCCESSSECURITY_SETTINGS_RETRIEVE_FAIL
GET
/v1/security-settingsRetrieves the current security settings for MATTR portal authentication.
Analytic events
- SECURITY_SETTINGS_RETRIEVE_START
- SECURITY_SETTINGS_RETRIEVE_SUCCESS
- SECURITY_SETTINGS_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
text/plain
curl -X GET "https://example.com/v1/security-settings"{ "ssoConfiguration": { "isEnabled": true, "issuerUrl": "https://sso.example.com" }, "sessionSettings": { "sessionTimeout": 259200 }, "passwordPolicies": { "minLength": 12, "history": 2 }, "mfaSettings": { "isEnabled": true }, "ipRestrictions": [ { "cidr": "192.168.0.0/24", "description": "Office network" } ]}How would you rate this page?
Create API Auth Token POST
Returns an API access token specific to the Management API. This token must then be used as an authorization header for all requests to protected endpoints (this is required for the majority of operations).
Retrieve environments GET
Retrieves a list of all available environments. ### **Analytic events** * ENVIRONMENT_RETRIEVE_LIST_START * ENVIRONMENT_RETRIEVE_LIST_SUCCESS * ENVIRONMENT_RETRIEVE_LIST_FAIL